Overview
GET
/integration/integration-calendar-events/{id}integrationGet integration_calendar_events by id
Fetch a record from integration-calendar-events by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
integration_calendar_events
- idstring
- titlestring
- descriptionstring?
- startTimestring?
- endTimestring?
- startDatestring?
- endDatestring?
- isAllDayboolean
- locationstring?
- sourcestring
- externalIdstring
- connectionIdstring?
- calendarNamestring?
- calendarColorstring?
- statusstring
- organizerstring?
- attendeesstring?
- remindersstring?
- urlstring?
- aiExtractionstring?
- createdAtstring
- updatedAtstring
- isDeletedboolean
- syncVersioninteger
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
Example
{
"id": "string",
"title": "string",
"description": "string",
"startTime": "string",
"endTime": "string",
"startDate": "string",
"endDate": "string",
"isAllDay": true,
"location": "string",
"source": "string",
"externalId": "string",
"connectionId": "string",
"calendarName": "string",
"calendarColor": "string",
"status": "string",
"organizer": "string",
"attendees": "string",
"reminders": "string",
"url": "string",
"aiExtraction": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true,
"syncVersion": 0,
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/integration/integration-calendar-events/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-calendar-events/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();